Bug 1290299 - [abrt] libreoffice-core: __cxxabiv1::__dynamic_cast(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: __cxxabiv1::__dynamic_cast(): soffice.bin killed by ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fed0f8cd882c7d8d9eae7df9c94...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 01:29 EST by efreeti
Modified: 2016-02-22 11:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 11:40:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.79 KB, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: core_backtrace (10.07 KB, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: dso_list (27.74 KB, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: environ (2.07 KB, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: maps (137.34 KB, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: open_fds (4.41 KB, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details
File: var_log_messages (341 bytes, text/plain)
2015-12-10 01:29 EST, efreeti
no flags Details

  None (edit)
Description efreeti 2015-12-10 01:29:20 EST
Description of problem:
Crash when in the middle of creating latex equation with TexMath plugin

Version-Release number of selected component:
libreoffice-core-4.4.6.3-2.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: __cxxabiv1::__dynamic_cast
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     6740
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __cxxabiv1::__dynamic_cast at ../../../../libstdc++-v3/libsupc++/dyncast.cc:72
 #1 SetUndoManager at /usr/src/debug/libreoffice-4.4.6.3/editeng/source/editeng/impedit.hxx:1104
 #2 EditEngine::SetUndoManager at /usr/src/debug/libreoffice-4.4.6.3/editeng/source/editeng/editeng.cxx:128
 #3 Outliner::SetUndoManager at /usr/src/debug/libreoffice-4.4.6.3/editeng/source/outliner/outliner.cxx:1203
 #4 SdrObjEditView::SdrBeginTextEdit at /usr/src/debug/libreoffice-4.4.6.3/svx/source/svdraw/svdedxv.cxx:753
 #5 SwView::BeginTextEdit at /usr/src/debug/libreoffice-4.4.6.3/sw/source/uibase/uiview/viewdraw.cxx:574
 #6 SwView::EnterDrawTextMode at /usr/src/debug/libreoffice-4.4.6.3/sw/source/uibase/uiview/viewdraw.cxx:499
 #7 SwEditWin::EnterDrawTextMode at /usr/src/debug/libreoffice-4.4.6.3/sw/source/uibase/docvw/edtwin.cxx:5048
 #8 SwEditWin::MouseButtonDown at /usr/src/debug/libreoffice-4.4.6.3/sw/source/uibase/docvw/edtwin.cxx:3351
 #9 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.4.6.3/vcl/source/window/winproc.cxx:726
Comment 1 efreeti 2015-12-10 01:29:26 EST
Created attachment 1104221 [details]
File: backtrace
Comment 2 efreeti 2015-12-10 01:29:28 EST
Created attachment 1104222 [details]
File: cgroup
Comment 3 efreeti 2015-12-10 01:29:29 EST
Created attachment 1104223 [details]
File: core_backtrace
Comment 4 efreeti 2015-12-10 01:29:31 EST
Created attachment 1104224 [details]
File: dso_list
Comment 5 efreeti 2015-12-10 01:29:32 EST
Created attachment 1104225 [details]
File: environ
Comment 6 efreeti 2015-12-10 01:29:33 EST
Created attachment 1104226 [details]
File: limits
Comment 7 efreeti 2015-12-10 01:29:36 EST
Created attachment 1104227 [details]
File: maps
Comment 8 efreeti 2015-12-10 01:29:37 EST
Created attachment 1104228 [details]
File: mountinfo
Comment 9 efreeti 2015-12-10 01:29:38 EST
Created attachment 1104229 [details]
File: namespaces
Comment 10 efreeti 2015-12-10 01:29:40 EST
Created attachment 1104230 [details]
File: open_fds
Comment 11 efreeti 2015-12-10 01:29:41 EST
Created attachment 1104231 [details]
File: proc_pid_status
Comment 12 efreeti 2015-12-10 01:29:42 EST
Created attachment 1104232 [details]
File: var_log_messages
Comment 13 David Tardon 2016-02-11 02:55:53 EST
I don't see anything under valgrind. Do you have a reproducer for this?

Note You need to log in before you can comment on or make changes to this bug.